Установка последней версии Wine из WineHQ PPA

Стандартный

Настройка Wine_419

Wine – это не виртуальная машина или эмулятор. Она обеспечивает бинарную совместимость, поддержку графики, звука, а также поддержку модемов, сетей, сканеров, клавиатур, и других устройств. Очень часто у пользователей появляется потребность в использовании win-приложений и игр в Убунту. Поэтому Wine очень востребована и популярна. Установим WineHQ в Ubuntu 14.04 – 16.04, Linux Mint 17.1/17. Приступим к инсталляции.

1. Если у вас 64-bit система, то для поддержки 32-bit архитектуры. Для этого запустим Терминал горячими клавишами Ctrl-Alt-T и выполним команду:

sudo dpkg --add-architecture i386



2. Теперь добавим репозиторий, обновим пакеты и установим “свеженькую” Wine.  Поочередно выполним следующие команды в Терминале:

sudo add-apt-repository ppa:wine/wine-builds
sudo apt-get update
sudo apt-get install --install-recommends winehq-devel

На момент написания статьи была установлена WineHQ 1.9.1, в которой исправлено множество ошибок и введен ряд улучшений.

3. В конце выполним команду для финального конфигурирования программы:

winecfg

Будет предложено скачать и установить Wine Gecko и Wine Mono. Соглашаемся и ждем завершения процесса. Теперь можно устанавливать программы для Windows, утилиты и игры.

Чтобы установить приложение winetricks, которое поможет установить нужные библиотеки, шрифты и компоненты, выполним команду:

sudo apt-get install winetricks

Чтобы установить DirectX выполните команду:

winetricks d3dx9

А если хотите запустить графическую версию winetricks, то выполните:

winetricks --gui

Winetricks - choose a wineprefix_418

Удачи!


7 Comments

  1. oleg@oleg-X51R ~ $ sudo add-apt-repository –remove ppa:wine/wine-builds
    [sudo] password for oleg:
    Вы хотите удалить следующие PPA:
    Больше информации: https://launchpad.net/~wine/+archive/ubuntu/wine-builds
    Нажмите Enter, чтобы продолжить или Ctrl+C для отмены

    не удалось удалить PPA: ‘[Errno 2] No such file or directory: ‘/etc/apt/sources.list.d/wine-wine-builds-xenial.list”
    oleg@oleg-X51R ~ $ sudo apt-get purge wine
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Пакет «wine» не установлен, поэтому не может быть удалён
    обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.
    N: Файл «playonlinux.lis» в каталоге «/etc/apt/sources.list.d/» игнорируется, так как он не имеет неправильное расширение
    oleg@oleg-X51R ~ $ sudo apt-get update
    Сущ:1 http://archive.canonical.com/ubuntu xenial InRelease
    Пол:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
    Сущ:3 http://archive.ubuntu.com/ubuntu xenial InRelease
    Пол:4 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Сущ:5 http://deb.opera.com/opera stable InRelease
    Игн:6 http://packages.linuxmint.com sarah InRelease
    Сущ:7 http://packages.linuxmint.com sarah Release
    Пол:8 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Сущ:9 https://deb.opera.com/opera-stable stable InRelease
    Пол:10 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [189 kB]
    Пол:11 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [183 kB]
    Получено 679 kБ за 2с (287 kБ/c)
    Чтение списков пакетов… Готово
    N: Файл «playonlinux.lis» в каталоге «/etc/apt/sources.list.d/» игнорируется, так как он не имеет неправильное расширение
    oleg@oleg-X51R ~ $ sudo apt-get install wine
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    wine : Зависит: wine1.6
    N: Файл «playonlinux.lis» в каталоге «/etc/apt/sources.list.d/» игнорируется, так как он не имеет неправильное расширение
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
    oleg@oleg-X51R ~ $

Leave a comment to den_v Click here to cancel reply.

Статьи